Skip to main content
GET
/
v0
/
facts
List facts
curl --request GET \
  --url https://api.avidoai.com/v0/facts \
  --header 'x-api-key: <api-key>' \
  --header 'x-application-id: <api-key>'
import requests

url = "https://api.avidoai.com/v0/facts"

headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-application-id': '<api-key>'}
};

fetch('https://api.avidoai.com/v0/facts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [],
  "pagination": {
    "skip": 0,
    "limit": 25,
    "total": 0,
    "totalPages": 0
  }
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Query Parameters

skip
integer
default:0

Number of items to skip before starting to collect the result set.

Required range: 0 <= x <= 9007199254740991
Example:

0

limit
integer

Number of items to include in the result set.

Required range: 1 <= x <= 100
Example:

25

orderBy
enum<string>
default:createdAt

Field to order the result set by.

Available options:
createdAt,
modifiedAt,
scope,
status,
id
Example:

"createdAt"

orderDir
enum<string>
default:desc

Order direction.

Available options:
asc,
desc
Example:

"desc"

scope
enum<string>

Filter by fact scope

Available options:
TOPIC,
APPLICATION
Example:

"TOPIC"

status
enum<string>

Filter by fact status

Available options:
DRAFT,
ACTIVE
Example:

"ACTIVE"

topicId
string<uuid>

Filter by topic ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"456e4567-e89b-12d3-a456-426614174000"

quickstartId
string<uuid>

Filter by quickstart ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

includeTopics
boolean

Include topic relations in response

Example:

"true"

Response

Successfully retrieved facts

Paginated response containing facts

data
Fact · object[]
required
pagination
PaginationResponse · object
required

Pagination metadata returned in a paginated response.